Subject: Re: [mif] Updated Charter proposal

From: "liuyin08" <[email-masked]>
Date: Sun, 8 Feb 2009 00:49:31 +0800

Hello hui,

I'm new here. I have got a little confused on one point, please see inline.

-LiuYin

2009-02-08 

liuyin08 

On Thu, Feb 5, 2009 at 11:52 AM, Hui Deng <denghui02 at gmail.com> wrote:
> Hello all
>
> I have updated charter based on the ML comments,
> Please feel free to let us know the further step.
>
> Thanks
>
> -Hui
>
> --------------------------------------------------
> Background and Motivation
>
>    A multi-homed host has multiple network interfaces (physical and/or
>    virtual).  For example, a node may be connected to a wired Ethernet
>    LAN, a 802.11 LAN, a 3G cell network, one or multiple VPN connections
>    or one or multiple automatic or manual tunnels. Current laptops and
>    smartphones typically have multiple access network interfaces. RFC 5113
>    already specify basic "Network Discovery and Selection Problem".
>
>    If there are multiple connections of the host, all the flows will go
>    to the default gateway based on RFC1122 description when the host has no
>    route cache entry for the destination host address of flows. One default
>    gateway guarantees the host always has one entry to the network, but
>    leads to difficulties when multiple connections are simultaneously
> active.
>
>    A multi-homed host receives node configuration information from each
>    of its access networks.  Some configuration objects are global to the
>    node, some are local to the interface.  Various issues arise when
>    multiple configuration objects that are global to the node are
>    received on the many interfaces the multi-homed host has.  Therefore,
>    there is a need to define the appropriate behavior of an IPv4 or IPv6
>    stack and possibly define protocols to manage these cases. RFC 3484
>    proposed default address selection for IPv6 could be a refernce
>    to this work.
>
> Proposed Work:
> -------------
> The proposed mif Working Group will focus on the following topics
> relevant for multiple interfaces:
>
>  Split DNS:
>    o A multi-homed host may have one of its interfaces facing a DNS
>    service which resolves private names and addresses(Proposed Standard)
>
>  Routing of multiple interfaces:
>    o A multi-homed host may have multiple routes to a destination.
>    However, by default, it may not have enough information to choose
>    the best interfaces for different unicast applications/flows in the host.
>    Thus a IPv4/IPv6 host would need to be provided with more information
>    for interface selection which is different from RFC 4191(Proposed
> Standard)
>
>  Address Selection Policy:
>    o a multi-homed host with IPv4 and IPv6
>    connectivity might need to receive an update of its default address
>    selection policy.  However, that policy is only valid within the
>    context of the interface it received it from.  Each network on which
>    the node is connected might have a different address policy to push
>    to the connecting nodes"(Proposed Standard)

==When the different address policies are push to the connect node through
different interfaces, which policy the node use?

> The BoF proposes to discuss the above items and gauge interest in
> forming a working Group. There is already work in progress addressing
> the identified problems, which is expected to be the starting point
> for the deliverables.
>
> The proposed activity will be complementary to the existing IETF
> Working Groups, notably the DHC,6MAN and MEXT WGs.
>

I'm new in the domain.

Thanks to give me help.

LiuYin